# HS Craftable Boss Items
Introducing "CraftableBossItems," the Valheim mod that turns the tables on boss battles and lets you conquer the game without raising a weapon. 

This mod empowers you to unleash your crafting prowess and create coveted boss drops with a touch of ingenuity and resourcefulness.

With CraftableBossItems, you'll embark on a unique adventure that blends strategy and creativity. 

No longer must you face fearsome foes head-on; instead, embrace the challenge of outsmarting them with your crafting prowess. 

Gather rare materials, master intricate recipes, and channel your inner alchemist to weave together boss drops like never before.

## Thanks!
Special thanks to [probablykory](https://valheim.thunderstore.io/package/probablykory/) for their exemplary mod, which served as inspiration for this project. Their dedication in creating and maintaining such a long-standing mod is truly commendable.

Massive Thanks to [Smoothbrain](https://valheim.thunderstore.io/package/Smoothbrain/) for the amazing Libraries and Mods provided to the community!

This mod uses the ServerSync Library from [Smoothbrain](https://valheim.thunderstore.io/package/Smoothbrain/) to enable Server-Client Config Synchronization.

## Beta Version Notice:

Please note that the current version of this mod, **Craftable Boss Items**, is in beta stage. While we have thoroughly tested its functionality, there might still be some unforeseen issues or bugs.

We greatly appreciate your support and encourage you to report any issues you encounter during your gameplay. Your feedback is crucial in helping us improve the mod and provide a better experience for all users.

To report any issues or bugs, please visit our [GitHub Issues page](http://github.com/HSValhiem/HS_CraftableBossItems). We kindly ask you to provide detailed information about the problem you encountered, including steps to reproduce it if possible. Our team will promptly review and address your reported issues.

Thank you for your understanding and cooperation in making **Craftable Boss Items** the best it can be!

## Installation (Automatic)
1. Install the mod manager [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/).
2. Use the mod manager to install the mod by directly importing it.
3. Launch the game.

## Installation (Manual)
1. Install the [BepInExPack Valheim](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/) mod.
2. Extract the mod's DLL file, `"HS_CraftableBossItems.dll"`, into the following folder: `<Steam Location>\steamapps\common\Valheim\BepInEx\plugins`
3. Launch the game.

## Configuration
The configuration file allows you to specify requirements and station levels. You can access the configuration through the following methods:

### With r2modman Mod Manager:
1. Open the mod manager and navigate to the "Config Editor" menu.
2. Modify the configuration settings according to your preferences.

### With Manual Installation:
1. Locate the configuration file in this folder: `<Steam Location>\steamapps\common\Valheim\BepInEx\config`
2. Open the file named `"hs.craftablebossitems.cfg"` using a text editor.
3. Edit the configuration settings to your liking.

Make sure to save the changes to the configuration file before launching the game.